Loading...
Searching...
No Matches
_xmlParserInput Struct Reference

Parser input. More...

`#include <parser.h>`

## Data Fields

const char * | filename
const xmlChar * | cur
int | line
int | col
unsigned long | consumed

## Detailed Description

Parser input.

## Field Documentation

## col

int col

Deprecated
  Use xmlCtxtGetInputPosition

Current column

## consumed

unsigned long consumed

Deprecated
  Use xmlCtxtGetInputPosition

How many xmlChars already consumed

## cur

const xmlChar* cur

Deprecated
  Use xmlCtxtGetInputWindow

Current char being parsed

## filename

const char* filename

Deprecated
  Use xmlCtxtGetInputPosition

The filename or URI, if any

## line

int line

Deprecated
  Use xmlCtxtGetInputPosition

Current line

The documentation for this struct was generated from the following file:

- parser.h